import { Component, EventEmitter, Input, OnInit, Output } from '@angular/core';

@Component({
    selector: 'glx-chat-toolbar',
    styleUrls: ['./chatToolbar.scss'],
    templateUrl: './chatToolbar.html'
})

export class ChatToolbar implements OnInit {
    @Input() data: any;
    @Input() showSearch: boolean;
    @Input() channels: any[];
    @Input() activeChannel: string;

    @Output() changeChannel: EventEmitter<any> = new EventEmitter();

    constructor() {
    }

    ngOnInit() {
    }

    switchChannel(channel) {
        if (this.activeChannel !== channel.code) {
            this.changeChannel.emit(channel);
        }
    }
}
