import { User } from './user.model';

export class Profile {
    id: number;
    sync_id?: string;
    sync_source?: string;
    external_id?: string;
    user_id: number;
    role: string;
    type: string;
    deletion_mark: number;

    // Место работы или учебы:
    country?: string;
    state?: string;
    city?: string;
    zip?: string;
    address?: string;
    company?: string;
    web?: string;

    phone?: string;
    mobile?: string;
    internal_phone?: string;
    fax?: string;
    degree?: string;
    rank?: string;
    qual_level?: string;
    manager_id?: string;

    // Базовые поля для сотрудника:
    department_id?: string;
    department?: any;
    deps?: any;
    job_title?: string;
    job_type?: string;
    job_activity?: string;

    // Базовые поля для студента, аспиранта:
    edu_dep_id?: string;
    edu_form?: string;
    edu_level?: string;
    edu_contract?: boolean;
    edu_mark_book_num?: string;
    edu_student_link_code?: string;
    edu_status?: string;
    faculty_id?: string;
    cathedra?: string;
    edu_direction_id?: string;
    edu_specialization_id?: string;
    edu_qualification_id?: string;
    edu_group_id?: string;
    edu_subgroup?: string;
    edu_year?: string;
    edu_course?: string;
    edu_semester?: string;
    dissertation?: string;

    notes?: string;
    extra?: string;
    created_at?: string;
    updated_at?: string;
    type_name?: string;
    photo_url?: string;
    user: User;
    faculty: any;
    manager: any | Profile;
    edu_direction: any;
    edu_specialization: any;
    edu_qualification: any;
    edu_group: any;
    bitrix_login?: string;
    bitrix_email?: string;
    work_address?: string;
    prof_notes?: string;
    show_email?: string;
    show_mobile?: string;
}
