import { NgModule, Component, Input, OnInit } from '@angular/core';
import { CommonModule } from '@angular/common';
import { RouterModule } from '@angular/router';

@Component({
    selector: 'glx-dashboard-panel',
    styleUrls: ['./dashboardPanel.scss'],
    templateUrl: './dashboardPanel.html'
})

export class DashboardPanel implements OnInit {

    @Input() image: string = '';
    @Input() icon: string = '';
    @Input() mainClass: string = '';
    @Input() header: string = '';
    @Input() description: string = '';
    @Input() buttons: any = [];

    constructor() {
    }

    ngOnInit() {

    }
}

@NgModule({
    imports: [CommonModule, RouterModule],
    exports: [DashboardPanel],
    declarations: [DashboardPanel]
})

export class DashboardPanelModule {
}
