export const DefaultOptions = {
    'header': 'Рабочий план',
    'noDataMessage': 'Нет информации',
    'confirmMessage': 'Вы уверены, что хотите сохранить свой выбор? После сохранения внесение изменений будет невозможно.',
    'errorMessage': 'Вы должны выбрать дисциплины в каждом разделе всех семестров.',
    'helpMessageNotSel': 'Выберите дисциплины на весь учебный год',
    'helpMessageSel': 'Выберите дисциплины и нажмите кнопку [Сохранить]',
    'btnSelect': 'Выбрать дисциплины по выбору',
    'btnSave': 'Сохранить',
    'btnCancel': 'Отмена',
    'semesterMessage': ' Семестр',
    'selectMessage': 'Выберите:',
    'dateFormat': 'dd.MM.yy',
    'showSemName': true,
    'columns': [
        {
            'code': 'num',
            'name': '№',
            'show': 1,
            'field': 'num',
            'sort': 10,
            'type': 'text'
        },
        {
            'code': 'title',
            'name': 'Название',
            'show': 1,
            'field': 'title',
            'sort': 20,
            'type': 'text'
        }, {
            'code': 'hours',
            'name': 'Всего, ч',
            'show': 1,
            'field': 'hours',
            'sort': 30,
            'type': 'text'
        }, {
            'code': 'lections',
            'name': 'Лекции',
            'show': 1,
            'field': 'lections',
            'sort': 40,
            'type': 'text'
        }, {
            'code': 'labs',
            'name': 'Лаб.',
            'show': 1,
            'field': 'labs',
            'sort': 50,
            'type': 'text'
        }, {
            'code': 'practice',
            'name': 'Практ.',
            'show': 1,
            'field': 'practice',
            'sort': 60,
            'type': 'text'
        }, {
            'code': 'self',
            'name': 'Сам. раб.',
            'show': 1,
            'field': 'self',
            'sort': 70,
            'type': 'text'
        }, {
            'code': 'control_type',
            'name': 'Вид контроля',
            'show': 1,
            'field': 'exam',
            'sort': 80,
            'type': 'control'
        }
    ]
};
